<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_161) on Mon Oct 01 15:14:31 CEST 2018 -->
<title>Uses of Class ch.sebi.zuul.exceptions.InputConvertException</title>
<meta name="date" content="2018-10-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class ch.sebi.zuul.exceptions.InputConvertException";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/exceptions/class-use/InputConvertException.html" target="_top">Frames</a></li>
<li><a href="InputConvertException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class ch.sebi.zuul.exceptions.InputConvertException" class="title">Uses of Class<br>ch.sebi.zuul.exceptions.InputConvertException</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#ch.sebi.zuul.logic.ui.input">ch.sebi.zuul.logic.ui.input</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="ch.sebi.zuul.logic.ui.input">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a> in <a href="../../../../../ch/sebi/zuul/logic/ui/input/package-summary.html">ch.sebi.zuul.logic.ui.input</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../ch/sebi/zuul/logic/ui/input/package-summary.html">ch.sebi.zuul.logic.ui.input</a> that throw <a href="../../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">InputConvertException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.String</code></td>
<td class="colLast"><span class="typeNameLabel">TextInput.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/ui/input/TextInput.html#convertInput-java.lang.String-">convertInput</a></span>(java.lang.String&nbsp;input)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected abstract <a href="../../../../../ch/sebi/zuul/logic/ui/input/Input.html" title="type parameter in Input">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">Input.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/ui/input/Input.html#convertInput-java.lang.String-">convertInput</a></span>(java.lang.String&nbsp;input)</code>
<div class="block">Converts the entered text into the type of this input</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected java.lang.Integer</code></td>
<td class="colLast"><span class="typeNameLabel">IntInput.</span><code><span class="memberNameLink"><a href="../../../../../ch/sebi/zuul/logic/ui/input/IntInput.html#convertInput-java.lang.String-">convertInput</a></span>(java.lang.String&nbsp;input)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../ch/sebi/zuul/exceptions/InputConvertException.html" title="class in ch.sebi.zuul.exceptions">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../../../../../overview-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?ch/sebi/zuul/exceptions/class-use/InputConvertException.html" target="_top">Frames</a></li>
<li><a href="InputConvertException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
